OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureStorageMultisample

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBTextureStorageMultisample :: MonadIO m => m Bool
- gl_ARB_texture_storage_multisample :: Bool
- glTexStorage2DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexStorage3DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBTextureStorageMultisample :: MonadIO m => m Bool

Is the ARB_texture_storage_multisample extension supported?

gl_ARB_texture_storage_multisample :: Bool

Is the ARB_texture_storage_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureStorageMultisample` in those cases instead.

# Functions

glTexStorage2DMultisample

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage3DMultisample

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.